Subject: [Detnet] Re: Roman Danyliw's Discuss on draft-ietf-raw-architecture-27: (with DISCUSS and COMMENT)
From: Ketan Talaulikar <[email-masked]>
To: Roman Danyliw <[email-masked]>
Cc: The IESG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 10 Jul 2025 15:23:12 +0530
List-Id: Discussions on Deterministic Networking BoF and Proposed WG <detnet.ietf.org>

Hi Roman,

The progression of this document is a bit complicated as it has moved
across WGs.

There was a previous WGLC done jointly between RAW and DETNET that did
generate better involvement than the 2nd WGLC. There were also specific
reviews sought and updates done. Further, there were follow-on discussions
on terminologies over the period between the 1st and 2nd WGLC.

First WGLC:
https://mailarchive.ietf.org/arch/msg/detnet/GtG65KNl85_sf3bTQ27jwIWQuP8/

While it is correct that the involvement and responses were less than
desirable for the 2nd WGLC, I am not sure if that could be considered as
lack of WG consensus.

I'll let Janos and Lou provide more context/color (also perhaps update the
shepherd writeup) as they will have a better view of the history.

Thanks,
Ketan

On Thu, Jul 10, 2025 at 1:36 PM Roman Danyliw via Datatracker <
[email-masked]> wrote:

> Roman Danyliw has entered the following ballot position for
> draft-ietf-raw-architecture-27: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to
> https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-raw-architecture/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> (This DISUSS feedback is for the DETNET WG Chairs and Responsible AD)
>
> Given that this document was moved from the closed RAW WG to DETNET, I
> explicitly checked for consensus to publish this document during WGLC.  I
> note
> with appreciation that this document was explicitly added as a milestone
> during
> the DETNET -04 re-chartering process in April 2025.
>
> I note that the shepherd report says:
> ==[ snip ]==
> 1. Does the working group (WG) consensus represent the strong concurrence
> of a
> few individuals, with others being silent, or did it reach broad agreement?
>
> The normal WG process has been followed with nothing special worth
> mentioning.
> The work was started in the RAW WG and has been completed in the DetNet WG
> after the merge of the RAW WG to the DetNet WG. The document reflects WG
> consensus, which represents strong concurrence of a number of individuals.
>
> ==[ snip ]==
>
> However, upon review, I cannot find evidence of support to publish this
> document in the WG discussion during the WGLC.
>
> The Datatracker history reports that the WGLC started in Oct-2024 and
> ended in
> Mar-2025.  Thank you to the WG chairs for using this state in the
> Datatracker.
>
> ==[ snip ]==
> 2025-03-15/-24 closed of WGLC (Lou Berger)
> 2024-10-18/-21 start WGLC (Lou Berger)
> ==[ snip ]==
>
> The WGLC call thread on the DETNET ML started on 18-October-2024 at
> https://mailarchive.ietf.org/arch/msg/detnet/eYumAudcJqPFSARwmHRu8Mwfgi4/.
> While I can find Last Call directorate reviews and responses from the
> document
> authors and WG chairs to these reviews, no one from the WG appears to have
> responded to the WGLC supporting publication.
>
> Next, I assumed that the F2F plenary meeting discussions during the WGLC
> had
> established interest to publish this document.  However, the meeting
> minutes
> did not establish that either.  Caveat, I didn’t listen to the meeting
> recordings.
>
> ==[ snip ]==
> The IETF 121 (Nov-2024) DETNET meeting (during the WGLC) has no tangible
> sense
> of consensus --
> https://datatracker.ietf.org/doc/minutes-121-detnet-202411071300/
>
> The IETF 122 (Mar-2025) DETNET meeting (also during the WGLC) has no
> mention of
> this document --
> https://datatracker.ietf.org/doc/minutes-122-detnet-202503170230/ ==[
> snip ]==
>
> Perhaps my search skills missed key interim meetings or mailing list
> threads.
> Could some pointers please be provided that substantiate WG interest to
> publish.
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you to Behcet Sarikaya for the GENART review
>
>
>
>